<!doctype html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <title>grid-template-columns</title>
    <link rel="stylesheet" href="../css/ejemplos.css">
    <style>
        .grid {
            background-color: gray;
            display: grid;
            margin: 1em;
        }

        .grid>div {
            background-color: lightblue;
            border: 1px solid;
        }

        .grid-columnas1 {
            grid-template-columns: 1fr 100px 1fr;
        }

        .grid-columnas2 {
            grid-template-columns: auto 100px 1fr;
        }
    </style>
</head>

<body>
    <h2>Solo grid</h2>
    <div class="grid">
        <div>Párrafo 1</div>
        <div>Párrafo 2</div>
        <div>Párrafo 3</div>
    </div>
    <h2>1fr 100px 1fr</h2>
    <div class="grid grid-columnas1">
        <div>Párrafo 1</div>
        <div>Párrafo 2</div>
        <div>Párrafo 3</div>
        <div>Párrafo 4</div>
        <div>Párrafo 5</div>
        <div>Párrafo 6</div>
    </div>
    <h2>auto 100px 1fr</h2>
    <div class="grid grid-columnas2">
        <div>Párrafo 1</div>
        <div>Párrafo 2</div>
        <div>Párrafo 3</div>
        <div>Párrafo 4</div>
        <div>Párrafo 5</div>
        <div>Párrafo 6</div>
    </div>
</body>

</html>